Bug 49087 - gnome-help-browser can't find man pages
Summary: gnome-help-browser can't find man pages
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-13 14:27 UTC by chris
Modified: 2013-04-02 04:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-25 14:56:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description chris 2001-07-13 14:27:02 UTC
If I type "man:getrlimit(2)" into the location bar of gnome-help-browser,
it displays the manpage.  However, if I type "man:setrlimit(2)" (which
contains a .so macro to include the same manpage), I get an error dialog
saying the manpage can't be found.  The equivalent behaviour occurs for
other manpages which detail multiple commands/functions.

I've checked that /usr/share/man (which is where those pages are located)
is included in the Man Path in the preferences box.

Typing "man getrlimit" or "man setrlimit" at the command line both work
fine.

Thanks,
Chris.

Comment 1 chris 2001-07-25 14:56:26 UTC
Just noticed that similarly (though not identically), "man:read" says it can't
find the page, whereas "man:read(2)" works fine.

Comment 2 Havoc Pennington 2002-03-04 20:50:25 UTC
We're working on a replacement for gnome-help-browser as we move to GNOME 2. 
No active fixing on the old browser.


Note You need to log in before you can comment on or make changes to this bug.